プレミアムWPテーマプラグイン 無料ダウンロード

WordPress WordPress テーマを変更エラー

質問の送信 > 全てのフォーラム > フォーラム > WordPress WordPress テーマを変更エラー

Viewing 0 reply threads
  • 著者
    投稿
    • WordPressを使用しているテーマを新しいことでダウンロードして起動ボタンを押した

      Parse error:syntax error、unexpected T_STRING、expecting T_CONSTANT_ENCAPSED_STRING or '(' in /home/www/sslightjapan.com/html/wp-content/themes/i-excel/inc/kirki/includes/Kirki.php on line 3

      というエラーが浮かび上がりホームページ接続がだめ引き続きこのフレーズのみ表示されます。
      接続ページでも接続がないてどのようにすべきか漠然とします。
      回答お願いします。


      回答:

      WordPress テーマやプラグインをインストールするときに、たまにこのようなエラーが発生する場合がありますが、このエラーは、サーバーのPHPのバージョンに関連しています。

      new static()はPHP 5.3バージョンで導入されたため、以前のバージョンのPHPでは、上記のようなエラーが発生する可能性があります。 上記のようなエラーが発生した場合のバージョンのPHPを5.3以降のバージョンまたは最新バージョンにアップグレードしてください(ここ を参照)。

      参考までに WordPress 推奨要件は次のとおりです:

      • PHP version 5.6以上
      • MySQL version 5.5以上

      ウェブホスティングを利用する場合、通常のウェブホスティング会社に連絡してPHPのバージョンにアップグレードを依頼する必要があります。 いくつかのベンダーは、ユーザーがPHPのバージョンを変更することができるオプションを提供しています。

      メモ: https://www.thewordcracker.com/scribblings/php-parse-error-syntax-error-unexpected-t_static-expecting-t_string-or-t_variable/

Viewing 0 reply threads

The forum「Forum」is closed to new topics and replies。